package com.cleanmaster.sync.binder.impl;

import com.cleanmaster.weather.data.WeatherData;
import com.cleanmaster.weather.data.AlertWeatherData;
import com.cleanmaster.sync.binder.impl.OnWeatherDataChangeListener;

interface WeatherService{
	WeatherData getTodayWeather();
	WeatherData[] getThreeDaysWeather();
	AlertWeatherData getAlertWeather();
	void removeWeatherData();
	void setOnWeatherDataChangeListener(OnWeatherDataChangeListener listener);
	void asyncGetWeather(OnWeatherDataChangeListener listener);
	void removeOnWeatherDataChangeListener();
	void setCity(String code,String name);
}