package com.cleanmaster.api;

import com.cm.plugincluster.softmgr.interfaces.model.AppInfo;
interface ICMAPI {
	List<AppInfo> 	getAppOpenFrequency();
	void 			callScreenOffMemClean(int source);
	boolean 		isScreenOffMemCleanEnabled();
	boolean			setScreenOffMemCleanSwitch(boolean enabled);
	boolean			isCmFirstRun();
	boolean			startCmBackground(int source);
	
	boolean         addTimeWallData(String strJson);
	boolean         delTimeWallData(long lSysTimeMS, int nClassType);
	boolean         delTimeWallDatas(String strJson);

	int getUserGameCount();
	boolean hasCreatedGameBoxShortcut(boolean considerHistory);

	boolean hasOpenedGameBoost();

	boolean hasFinishedGameScanning();

	void openGameBoostAsync(int boostSource);

	void createGameBoxShortcutAsync(int createSource);

    void startGameBoxActivity(int source);
    int canBoostPercent();
    void startGameBoxDialog(int source);

    List<String> getGameList(int source);
}
